commit: 9c3f27570684bb7361652b13f6e6718fbe0ca5b0
Author: Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 8 12:10:49 2016 +0000
Commit: Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Thu Sep 8 12:11:26 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c3f2757
dev-python/pyicu: use HTML_DOCS instead of deprecated dohtml
Package-Manager: portage-2.3.0
dev-python/pyicu/pyicu-1.9.3.ebuild | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/dev-python/pyicu/pyicu-1.9.3.ebuild
b/dev-python/pyicu/pyicu-1.9.3.ebuild
index 3214426..48ae3b4 100644
--- a/dev-python/pyicu/pyicu-1.9.3.ebuild
+++ b/dev-python/pyicu/pyicu-1.9.3.ebuild
@@ -34,8 +34,8 @@ DOCS=(CHANGES CREDITS README.md)
python_compile_all() {
if use doc; then
einfo "Making documentation from ${EPYTHON} build"
- cd "${BEST_BUILD_DIR}" || die
- epydoc --html --verbose \
+ mkdir -p doc/html || die
+ epydoc --html --verbose -o doc/html \
--url="${HOMEPAGE}" --name="${MY_P}" \
icu.py || die "Making the docs failed!"
fi
@@ -46,8 +46,8 @@ python_test() {
}
python_install_all() {
- distutils-r1_python_install_all
if use doc; then
- dohtml -r ../*/html/*
+ local HTML_DOCS=( doc/html/. )
fi
+ distutils-r1_python_install_all
}